Package org.apache.qpid.proton.amqp.security

# Class SaslChallenge

java.lang.Object
org.apache.qpid.proton.amqp.security.SaslChallenge

All Implemented Interfaces:
  `SaslFrameBody`

public final class SaslChallenge extends Object implements SaslFrameBody

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.security.SaslFrameBody

`SaslFrameBody.SaslFrameBodyHandler<E>`

## Constructor Summary

Constructors
Constructor
Description
`SaslChallenge()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(int index)`
`Binary`
`getChallenge()`
`<E> void`
`invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)`
`void`
`setChallenge(Binary challenge)`
`int`
`size()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SaslChallenge

public SaslChallenge()

## Method Details

### getChallenge

public Binary getChallenge()

### setChallenge

public void setChallenge(Binary challenge)

### get

public Object get(int index)

### size

public int size()

### invoke

public <E> void invoke(SaslFrameBody.SaslFrameBodyHandler<E> handler, Binary payload, E context)

Specified by:
  `invoke` in interface `SaslFrameBody`

### toString

public String toString()

Overrides:
  `toString` in class `Object`